pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar > Class Template Reference
Module registration

WarpPointRigid3D enables 6D (3D rotation + 3D translation) transformations for points. More...

`#include <pcl/registration/warp_point_rigid_6d.h>`

Inheritance diagram for pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >:

## Public Types

typedef WarpPointRigid< PointSourceT, PointTargetT, Scalar >::Matrix4 | Matrix4
typedef WarpPointRigid< PointSourceT, PointTargetT, Scalar >::VectorX | VectorX
typedef boost::shared_ptr< WarpPointRigid6D< PointSourceT, PointTargetT, Scalar > > | Ptr
typedef boost::shared_ptr< const WarpPointRigid6D< PointSourceT, PointTargetT, Scalar > > | ConstPtr
Public Types inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >
typedef Eigen::Matrix< Scalar, 4, 4 > | Matrix4
typedef Eigen::Matrix< Scalar, Eigen::Dynamic, 1 > | VectorX
typedef Eigen::Matrix< Scalar, 4, 1 > | Vector4
typedef boost::shared_ptr< WarpPointRigid< PointSourceT, PointTargetT, Scalar > > | Ptr
typedef boost::shared_ptr< const WarpPointRigid< PointSourceT, PointTargetT, Scalar > > | ConstPtr

## Public Member Functions

| WarpPointRigid6D ()
virtual | ~WarpPointRigid6D ()
| Empty destructor. More...
virtual void | setParam (const VectorX &p)
| Set warp parameters. More...
Public Member Functions inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >
| WarpPointRigid (int nr_dim)
| Constructor. More...
virtual | ~WarpPointRigid ()
| Destructor. More...
void | warpPoint (const PointSourceT &pnt_in, PointSourceT &pnt_out) const
| Warp a point given a transformation matrix. More...
void | warpPoint (const PointSourceT &pnt_in, Vector4 &pnt_out) const
| Warp a point given a transformation matrix. More...
int | getDimension () const
| Get the number of dimensions. More...
const Matrix4 & | getTransform () const
| Get the Transform used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >
int | nr_dim_
Matrix4 | transform_matrix_

## Detailed Description

### template<typename PointSourceT, typename PointTargetT, typename Scalar = float>
class pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >

WarpPointRigid3D enables 6D (3D rotation + 3D translation) transformations for points.

Note
  The class is templated on the source and target point types as well as on the output scalar of the transformation matrix (i.e., float or double). Default: float.

Author
  Radu B. Rusu

Definition at line 59 of file warp_point_rigid_6d.h.

## Member Typedef Documentation

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

typedef boost::shared_ptr<const WarpPointRigid6D<PointSourceT, PointTargetT, Scalar> > pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::ConstPtr

Definition at line 68 of file warp_point_rigid_6d.h.

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

typedef WarpPointRigid<PointSourceT, PointTargetT, Scalar>::Matrix4 pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::Matrix4

Definition at line 64 of file warp_point_rigid_6d.h.

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

typedef boost::shared_ptr<WarpPointRigid6D<PointSourceT, PointTargetT, Scalar> > pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::Ptr

Definition at line 67 of file warp_point_rigid_6d.h.

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

typedef WarpPointRigid<PointSourceT, PointTargetT, Scalar>::VectorX pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::VectorX

Definition at line 65 of file warp_point_rigid_6d.h.

## Constructor & Destructor Documentation

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::WarpPointRigid6D | ( |  | ) |

inline

Definition at line 70 of file warp_point_rigid_6d.h.

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

virtual pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::~WarpPointRigid6D | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 73 of file warp_point_rigid_6d.h.

## Member Function Documentation

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

virtual void pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::setParam | ( | const VectorX & | p | ) |

inline virtual

Set warp parameters.

Note
  Assumes the quaternion parameters are normalized.

Parameters

  [in] | p | warp parameters (tx ty tz qx qy qz)

Implements pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >.

Definition at line 80 of file warp_point_rigid_6d.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::getDimension(), and pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::transform_matrix_.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/warp_point_rigid_6d.h